# Aesthetic-Programming

![](hus.png)


Link: https://frederikke.n.breum.gitlab.io/aesthetic-programming/miniX


I used a lot of time to understand the order for p5. I made several 2d shapes and tried to make them different colors. At first i didn't understand the order but I watched a video on youtube by the codin train and learned the importance of order in the code. T

I created a house with a window. My idea at first was to use the function on mouse click to make the image change to night and day. So the background at day time should be ligh blue, the sun yellow and the rect as the window dark. When the mouse was pressed/clicked it should chang to night which would make the background dark blue, the sun white and the window rect light yellow. 

I had a diffult time to understand the function and couldnt figure out to make it apply on different shapes. 
From html and css I know to put things in divs and make id put I didnt know how to make a similar code. 

Due to my faillure in making this fantastic piece of art, I made the descision just to change the window. Neither could I change the color from black to yellow. I only managed to use greyscale and change from black to white. 
I tried to use code from the internet as reference but didn't understand the function correctly and therefor I wouldnt be able to recreate on my own. So I keept it simple. 

Reading and understanding code is different from writing text. When im writing text I know the meaning of the words. When writing code you dont always know the meaning. 
